import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.gmai_request import gmai_request

# 3D变脸
class TestPlasticChecckStyleClasstify:
    data = BaseRequest().api_load(path_setting.GMAI_PLASTIC_CHECCK_STYLE_CLASSTIFY_DATA)
    plasticchecckstyleclasstify_case, plasticchecckstyleclasstify_data = get_ids(data, "plastic_cheek_style_classify")

    @pytest.mark.parametrize("param",plasticchecckstyleclasstify_data,ids=plasticchecckstyleclasstify_case)
    def test_plastic_cheek_style_classify(self,param):
        r = gmai_request().plastic_cheek_style_classify(param["version"])
        if r["error"] == 0:
            classifies = r["data"]["classifies"]
            assert len(classifies) > param["assert"]
